Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Reviews and Specials SQL ERRORS


Guest

Recommended Posts

Fresh install of OSCOMMERCE delted the demo products and since then getting the following errors.

 

SPECIALS PAGE

1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '-20, 20' at line 1

 

select p.products_id, pd.products_name, p.products_price, s.specials_id, s.specials_new_products_price, s.specials_date_added, s.specials_last_modified, s.expires_date, s.date_status_change, s.status from products p, specials s, products_description pd where p.products_id = pd.products_id and pd.language_id = '1' and p.products_id = s.products_id order by pd.products_name limit -20, 20

 

[TEP STOP]

 

Products Expected

 

1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '-20, 20' at line 1

 

select pd.products_id, pd.products_name, p.products_date_available from products_description pd, products p where p.products_id = pd.products_id and p.products_date_available != '' and pd.language_id = '1' order by p.products_date_available DESC limit -20, 20

 

Reviews

 

Products Rating Date Added Action

1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '-20, 20' at line 1

 

select reviews_id, products_id, date_added, last_modified, reviews_rating from reviews order by date_added DESC limit -20, 20

 

[TEP STOP]

 

Manufacturers

 

Manufacturers Action

1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '-20, 20' at line 1

 

select manufacturers_id, manufacturers_name, manufacturers_image, date_added, last_modified from manufacturers order by manufacturers_name limit -20, 20

 

[TEP STOP]

 

-------------------------------------------

 

Im sure they are all related as it seemed to happen all at once, any ideas would be greatly appriciated, i bought this oscommerce site over 18 months ago so i dont know if i need to update??

 

Thanks in advance

 

Tony

Link to comment
Share on other sites

Yes, you do need to update it. Those errors are related to a bug in the older version of osCommerce - and there have been two updates in the past 18 months, which include needed security patches.

 

Vger

Link to comment
Share on other sites

Yes, you do need to update it. Those errors are related to a bug in the older version of osCommerce - and there have been two updates in the past 18 months, which include needed security patches.

 

Vger

 

 

Thanks for your quick reply Vger.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...